get_align_matrix(3)

NAME
get_align_matrix

SYNOPSIS
#include <allegro.h>

void get_align_matrix(MATRIX *m, fixed xfront, yfront, zfront, fixed xup, fixed yup, fixed zup);

DESCRIPTION
Rotates a matrix so that it is aligned along the specified coordinate vectors (they need not be normalized or perpendicular, but the up and front must not be equal). A front vector of 1,0,0 and up vector of 0,1,0 will return the identity matrix.

SEE ALSO
apply_matrix(3), get_camera_matrix(3)